System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.WebControls.CheckBox System.Web.UI.SupportsEventValidation System.ComponentModel.Designer("System.Web.UI.Design.WebControls.CheckBoxDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner")

In this topic:

Introduction

Accessibility

Declarative Syntax

## Introduction

The server control permits you to intersperse the radio buttons in a group with other content in the page. The buttons are grouped logically if they all share the same property.

You can use the control to display user input, which might include malicious client script. Check any information that is sent from a client for executable script, SQL statements, or other code before displaying it in your application. ASP.NET provides an input request validation feature to block script and HTML in user input. Validation server controls are also provided to assess user input. For more information, see Validation Server Controls.

## Accessibility

The markup rendered by default for this control might not conform to accessibility standards such as the Web Content Accessibility Guidelines 1.0 (WCAG) priority 1 guidelines. For details about accessibility support for this control, see ASP.NET Controls and Accessibility.

## Declarative Syntax

`<asp:RadioButton AccessKey="string" AutoPostBack="True|False" BackColor="color name|#dddddd" BorderColor="color name|#dddddd" BorderStyle="NotSet|None|Dotted|Dashed|Solid|Double|Groove|Ridge| Inset|Outset" BorderWidth="size" CausesValidation="True|False" Checked="True|False" CssClass="string" Enabled="True|False" EnableTheming="True|False" EnableViewState="True|False" Font-Bold="True|False" Font-Italic="True|False" Font-Names="string" Font-Overline="True|False" Font-Size="string|Smaller|Larger|XX-Small|X-Small|Small|Medium| Large|X-Large|XX-Large" Font-Strikeout="True|False" Font-Underline="True|False" ForeColor="color name|#dddddd" GroupName="string" Height="size" ID="string" OnCheckedChanged="CheckedChanged event handler" OnDataBinding="DataBinding event handler" OnDisposed="Disposed event handler" OnInit="Init event handler" OnLoad="Load event handler" OnPreRender="PreRender event handler" OnUnload="Unload event handler" runat="server" SkinID="string" Style="string" TabIndex="integer" Text="string" TextAlign="Left|Right" ToolTip="string" ValidationGroup="string" Visible="True|False" Width="size" />`

Represents a radio button control.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  Use the property to specify a grouping of radio buttons to create a mutually exclusive set of controls. You can use the property when only one selection is possible from a list of available options.

  When this property is set, only one in the specified group can be selected at a time.

  The value of this property is stored in view state.

  This property cannot be set by themes or style sheet themes. For more information, see and ASP.NET Themes Overview.

  Gets or sets the name of the group that the radio button belongs to.

  1.0.5000.0
  2.0.0.0
  System.Web.UI.Themeable(false)
  System.ComponentModel.DefaultValue("")
- Method
  2.0.0.0
  System.Boolean `` ``

  The method is called by the method. It is used primarily by control developers extending the functionality of the control.

  Processes postback data for the control.

  true if the data for the has changed; otherwise, false.

  The key identifier for the control. The collection of all incoming name values.
- Method
  System.Void ``

  The method notifies the control to perform any necessary prerendering steps prior to saving view state and rendering content.

  Raises the event.

  An that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void

  The method is called by the method. It is used primarily by control developers extending the functionality of the control.

  Raises the event, if the property has changed on postback.

- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` ``

  This member is an explicit interface member implementation. It can be used only when the control is cast to an interface.

  For a description of this member, see .

  true if is checked; otherwise, false. The default is false.

  A string. A name value collection that represents the posted collection of data.